SignerInformationVerifier (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cms

## Class SignerInformationVerifier

- java.lang.Object
- - org.bouncycastle.cms.SignerInformationVerifier

-     public class SignerInformationVerifier
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignerInformationVerifier(CMSSignatureAlgorithmNameGenerator sigNameGenerator, SignatureAlgorithmIdentifierFinder sigAlgorithmFinder, ContentVerifierProvider verifierProvider, DigestCalculatorProvider digestProvider)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `X509CertificateHolder` | `getAssociatedCertificate()`
    `ContentVerifier` | `getContentVerifier(org.bouncycastle.asn1.x509.AlgorithmIdentifier signingAlgorithm, org.bouncycastle.asn1.x509.AlgorithmIdentifier digestAlgorithm)`
    `DigestCalculator` | `getDigestCalculator(org.bouncycastle.asn1.x509.AlgorithmIdentifier algorithmIdentifier)`
    `boolean` | `hasAssociatedCertificate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignerInformationVerifier

          public SignerInformationVerifier(CMSSignatureAlgorithmNameGenerator sigNameGenerator,
                                   SignatureAlgorithmIdentifierFinder sigAlgorithmFinder,
                                   ContentVerifierProvider verifierProvider,
                                   DigestCalculatorProvider digestProvider)

  - ### Method Detail

    - #### hasAssociatedCertificate

          public boolean hasAssociatedCertificate()

    - #### getAssociatedCertificate

          public X509CertificateHolder getAssociatedCertificate()

    - #### getContentVerifier

          public ContentVerifier getContentVerifier(org.bouncycastle.asn1.x509.AlgorithmIdentifier signingAlgorithm,
                                           org.bouncycastle.asn1.x509.AlgorithmIdentifier digestAlgorithm)
                                             throws OperatorCreationException

      Throws:
        `OperatorCreationException`

    - #### getDigestCalculator

          public DigestCalculator getDigestCalculator(org.bouncycastle.asn1.x509.AlgorithmIdentifier algorithmIdentifier)
                                               throws OperatorCreationException

      Throws:
        `OperatorCreationException`